# Ogre::Font::GlyphInfo Struct Reference

Information about the position and size of a glyph in a texture. More...

`#include <OgreFont.h>`

List of all members.

## Public Member Functions

| GlyphInfo (CodePoint id, const UVRect &rect, Real aspect)

## Public Attributes

CodePoint | codePoint
UVRect | uvRect
Real | aspectRatio

## Detailed Description

Information about the position and size of a glyph in a texture.

Definition at line 124 of file OgreFont.h.

## Constructor & Destructor Documentation

Ogre::Font::GlyphInfo::GlyphInfo | ( | CodePoint | id,
|  | const UVRect & | rect,
|  | Real | aspect |
| ) |  |  |

Definition at line 130 of file OgreFont.h.

## Member Data Documentation

CodePoint Ogre::Font::GlyphInfo::codePoint

Definition at line 126 of file OgreFont.h.

UVRect Ogre::Font::GlyphInfo::uvRect

Definition at line 127 of file OgreFont.h.

Real Ogre::Font::GlyphInfo::aspectRatio

Definition at line 128 of file OgreFont.h.

The documentation for this struct was generated from the following file:

- OgreFont.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Dec 27 17:32:05 2009